﻿--
-- Aardvark
-- Version:R 2.1.6.2
-- Author: Walkerbo
-- Date: Tuesday, 29 December 2015
--

--===================			Metrics, Lists & Variables			 ============================
local addonName = "Aardvark"
local versionNumber = "R 2.1.6.2"

local playerName = GetUnitName("player")

local AardvarkMagicButton,AardvarkActionBar,AardvarkActionBarSellButton,AardvarkActionBarAardvarkButton,AardvarkActionBarDestroyButton,ActionBarGlobalButton,ActionBarCharacterButton

local AVKImg = {
	avkban = "Interface\\AddOns\\Aardvark\\Files\\AVK_ban", --  Aardvark Banner
	avki = "Interface\\AddOns\\Aardvark\\Files\\AVK_icon", -- Aardvark Icon
	avki_alt = "Interface\\AddOns\\Aardvark\\Files\\AVK_icon_alt", -- Aardvark Icon Alt
	avksi = "Interface\\AddOns\\Aardvark\\Files\\AVKS_icon", -- Aardvark Sell Icon
	avksi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKS_icon_alt", -- Aardvark Sell Icon Alt
	avksoi = "Interface\\AddOns\\Aardvark\\Files\\AVK_soicon", -- Aardvark Sell Options Icon Alt
	avksoi_alt ="Interface\\AddOns\\Aardvark\\Files\\AVK_soicon_alt", -- Aardvark Sell Options Icon Alt
	avks_dis ="Interface\\AddOns\\Aardvark\\Files\\AVKS_icon_dis", -- Aardvark Sell Disabled	
	avkdi = "Interface\\AddOns\\Aardvark\\Files\\AVKD_icon", -- Aardvark Destroy Icon
	avkdi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKD_icon_alt", -- Aardvark Destroy Icon Alt
	avkdoi = "Interface\\AddOns\\Aardvark\\Files\\AVK_doicon", -- Aardvark Destroy Options Icon Alt
	avkdoi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVK_doicon_alt", -- Aardvark Destroy Options Icon Alt
	avkri = "Interface\\AddOns\\Aardvark\\Files\\AVKR_icon", -- Aardvark Repair Icon
	avkri_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKR_icon_alt", -- Aardvark Repair Icon Alt
	avkci = "Interface\\AddOns\\Aardvark\\Files\\AVK_cx_icon", -- Aardvark Close Icon
	avkchari = "Interface\\AddOns\\Aardvark\\Files\\AVK_charicon", -- Aardvark Character List Icon
	avkchari_alt = "Interface\\AddOns\\Aardvark\\Files\\AVK_charicon_alt", -- Aardvark Character List Icon Alt
	avkglobi ="Interface\\AddOns\\Aardvark\\Files\\AVK_globicon", -- Aardvark Global List Icon
	avkglobi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVK_globicon_alt", -- Aardvark Global List Icon Alt	
}

local avkCheckBoxBigFont = CreateFont("avkCheckBoxBigFont")
avkCheckBoxBigFont:SetFont("Interface\\AddOns\\Aardvark\\Files\\neuropol.ttf",26)
local avkContentFont = CreateFont("avkContentFont")
avkContentFont:SetFont("Interface\\AddOns\\Aardvark\\Files\\vixar.TTF",15.25)
local avkScrollTitleFont = CreateFont("avkScrollTitleFont")
avkScrollTitleFont:SetFont("Interface\\AddOns\\Aardvark\\Files\\vixar.TTF",19)
local avkButtonFont = CreateFont("avkButtonFont")
avkButtonFont:SetFont("Interface\\AddOns\\Aardvark\\Files\\vixar.TTF",14)

local AVKFont = {
	avkBlueText="|cff00ffff",
	avkBlueTextMessagePrefix="|cff00ffff ["..addonName.."]: ",
	avkBlueTextMessagePrefixSuffix="|cff00ffff ["..addonName.."]: |r",
	avkGreenText="|cff00ff00",
	avkRedText="|cffff0000",
	avkPinkText="|cffff00ff",
}

local AVKText = { -- Content strings
	avkLoad = (AVKFont.avkBlueText.." *** "..addonName.." "..versionNumber.." Loaded *** \n"), -- Load Message
	avkOptions = ("Slash Commands:\n"..AVKFont.avkBlueText.."/avk |r ~  Show/Hide Aardvark frame\n"..AVKFont.avkBlueText.."/avkdestroy |r ~  Destroy function\n"..AVKFont.avkBlueText.."/avkclear |r ~  Clear all lists\n"..AVKFont.avkBlueText.."/avkpos |r ~  Reset Aardvark frame and button positions\n"), -- Options Text	
	avkSellOptions = ("The "..AVKFont.avkGreenText.."Aardvark Sell|r function can sometimes lag depending on the size of your list and the number items you have in your bags.\n\nIf this occurs turn on the action bar and spam the sell button.\n\nI will continue to tinker with the sell function to try and reduce, if not totaly eradicate, this issue."), -- Sell Text	
	avkDestroyOptions = ("The "..AVKFont.avkRedText.."Aardvark Destroy|r function will destroy|r the items that you have added to your destroy lists regardless of bind, amount, rarity or colour.\n\n"..AVKFont.avkRedText.."Destroyed items CANNOT be recovered.|r\n\nThere are no take backs, no do-overs, no whoops didn't mean to do that, etc.\n\nThe only way to recover a destroyed item is to go and farm it again.\n\n"..AVKFont.avkRedText.."You have been warned!"), -- Destroy Text	
	avkRepairOptions = ("The "..AVKFont.avkPinkText.."Aardvark Repair|r function operates after the destroy function and prior to the\n sell function.\n\n Damaged items must\n be repaired before\n they can be sold."), -- Repair Text	
	avkMagicButton = ("Drag&Drop/Click&Drop: Add Item to Character List\nDrag&Drop/Click&Drop + Alt: Add Item to Global List\nLeft Click: Show/Hide Aardvark Frame\nRight Click + Drag: Move Aardvark Button\nRight Click: Destroy Listed Items"), -- Aardvark Button Tooltip Text	
	avkAboutAardvark = ("There once was a little blue Aardvark that grew up in Azeroth.\n\nHe loved to farm, spending all day and half of the night digging up herbs, mining ore, weaving cloth and collecting little treasures.\n\nAfter few years he started to develop RSI in his little paws as he was always clicking to sell items that he didn\'t want, dragging and dropping items that he couldn\'t sell and, in a lot of cases, deleting items just to clean out his bags ready to farm again.\n\nOne day after an extremely long day of farming he thought;"..AVKFont.avkBlueText.."\n\"What if I could open my bags and have all the stuff I don\'t want just magically disappear?\"|r \n\nWith this thought he started to teach his little arthritic paws how to code.\nHis code is very messy, overly long and undoubtedly very inefficient but it does what he wants it to do.\n\nHopefully you can find it useful too."), -- Aardvark Text
}

local AVKSize = {
	actionBarButtonGap = 50,
	actionBarScale = .9,
	backdropEdgeSize = 20,
	checkBoxBigSize = 26,
	checkBoxChildGapX = 15,
	checkboxGapY = 30,
	clearButtonHight = 32,
	closeButtonGap = -8,
	closeButtonSize = 20,
	mainFrameHeight = 520,
	mainFrameMarginGap = 10,
	mainFrameNavigationButtonSize = 35,
	mainFrameNavigationButtonSpace = 90,
	mainFrameNavigationFrame = -125,
	mainFrameNavigationFrameHeight = 56,
	mainFrameNavigationFrameWidth = 582,
	mainFrameWidth = 600,
	mainFrameScale =.9,
	mainPanelElementGap =20,
	mainPanelHeight = 318,
	mainPanelWidth = 582,
	optionsButtonGap = 23,
	optionsButtonSize = 25,
	scrollButtonHeight = 16,
	scrollButtonNumber =12,
	scrollButtonWidth = 258,
	scrollFrameHeight = 208,
	scrollFrameWidth = 277,
	scrollTitleHeight = 40,
	scrollTitlePointX = 10,
	scrollTitlePointY = -16,
	textBoxWidthShrink = 25,
	toolTipAnchor = -22,
	toolTipScale = .9,
}

local AVKVendorBlacklist = {
    27914, -- Ethereal Soul-Trader
	63596, -- Audrey Burnhep
	-- 77368, -- Madison Clark  --  This NPC can now buy items
	79828, -- Murg
	87302, -- Murg -- Yes this is a second Murg, no I have no idea why
}

--===================			Functions & Slash Commands			============================
local function avkManageLists()
	if not GlobalOptions then -- Create Aardvark options table if it does not already exist
		GlobalOptions = {
			Aardvark = {
				amfb = true, -- Aardvark main floating button
				amfbt = true, -- Aardvark main floating button tooltip
				afab = true, -- Aardvark floating action bar	
				afabas = true, -- Aardvark floating action bar always show
				afabv = true, -- Aardvark floating action bar verticle
				amct = false, -- Aardvark message chat tab  --  Debug review
				aaab = false,  -- Aardvark auto accept binds  --  Debug review  action bar verticle
			},
			Destroy = {
				ded = true, -- Destroy enable destroy
				dead = true, -- Destroy enable auto destroy
				dddm = true, -- Destroy detailed destroy messages
				dntdm = true, -- Destroy nothing to destroy messages				
				dialsm = true, -- Destroy item added to list success messages
				dialfm = true, -- Destroy item added to list fail messages
				dlit = true, -- Destroy show listed item tooltips
			},
			Repair = {
				rer = true, -- Repair enable repair
				rgr = false, -- Repair guild repair
				rcarm = true, -- Repair cannot afford repair messages
				rntrm = true, -- Repair nothing to repair messages
				rvcrm = true, -- Repair vendor cannot repair messages
			},
			Sell = {
				ses = true, -- Sell enable sell
				seas = true, -- Sell enable auto sell
				sdsm = true, -- Sell detailed sell messages	
				sntsm = true, -- Sell nothing to sell messages				
				sialsm = true, -- Destroy item added to list success messages
				sialfm = true, -- Destroy item added to list fail messages
				slit = true, -- Sell show listed item tooltips
			},
		}		
		GlobalSellList={} -- Create empty global sell list if it does not already exist
		GlobalDestroyList={} -- Create empty global destroy list if it does not already exist
		CharacterSellList={} -- Create empty character sell list if it does not already exist
		CharacterDestroyList={} -- Create empty character destroy list if it does not already exist
		AardvarkMainFrame:Show()
		elseif not CharacterSellList then
		CharacterSellList={} -- Create empty character sell list if it does not already exist
		CharacterDestroyList={} -- Create empty character destroy list if it does not already exist
		else
	end
	for k,v in pairs (GlobalOptions) do -- Set all checkboxes
		for a,b in pairs (v) do
			local checkBoxName="CB"..a
			_G[checkBoxName]:SetChecked(b)			
			if k=="Aardvark" and GlobalOptions.Aardvark.afab==false and (a=="afabas" or a=="afabv") then
				_G[checkBoxName]:Hide()
				elseif k=="Sell" and a~="ses" and GlobalOptions.Sell.ses==false then
				_G[checkBoxName]:Hide()
				elseif k=="Destroy" and a~="ded" and GlobalOptions.Destroy.ded==false then
				_G[checkBoxName]:Hide()
				elseif k=="Repair" and a~="rer" and GlobalOptions.Repair.rer==false then
				_G[checkBoxName]:Hide()
			end			
		end
	end
	if GlobalOptions.Aardvark.afab==true and GlobalOptions.Aardvark.afabas==true then
		AardvarkActionBar:Show()
	end
end

-- Update Lists
local function avkUpdateLists()
	FauxScrollFrame_Update(AardvarkSellGlobalScrollFrame,#GlobalSellList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight)
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkSellGlobalScrollFrame)
		local button=AardvarkSellGlobalScrollFrame.buttons[index]
		button.index=offset
		if offset <= #GlobalSellList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalSellList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
	FauxScrollFrame_Update(AardvarkSellCharacterScrollFrame,#CharacterSellList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight)
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkSellCharacterScrollFrame)
		local button=AardvarkSellCharacterScrollFrame.buttons[index]
		button.index=offset
		if offset <= #CharacterSellList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(CharacterSellList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
	FauxScrollFrame_Update(AardvarkDestroyGlobalScrollFrame,#GlobalDestroyList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight)
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkDestroyGlobalScrollFrame)
		local button=AardvarkDestroyGlobalScrollFrame.buttons[index]
		button.index=offset
		if offset <= #GlobalDestroyList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalDestroyList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
	FauxScrollFrame_Update(AardvarkDestroyCharacterScrollFrame,#CharacterDestroyList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight)
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkDestroyCharacterScrollFrame)
		local button=AardvarkDestroyCharacterScrollFrame.buttons[index]
		button.index=offset
		if offset <= #CharacterDestroyList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(CharacterDestroyList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
end

--===================			Show Frames			============================
local function showAVKOptionsPanel()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkOptionsPanel:Show()
end

local function showAVKSellPanel()
	avkUpdateLists()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkSellPanel:Show()
end

local function showAVKSellOptionsPanel()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkSellOptionsPanel:Show()
end

local function showAVKDestroyPanel()
	avkUpdateLists()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkDestroyPanel:Show()
end

local function showAVKDestroyOptionsPanel()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkDestroyOptionsPanel:Show()
end

local function showAVKRepairPanel()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkRepairOptionsPanel:Show()
end

local function showAVKSillyPanel()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkSillyPanel:Show()
end

local function toggleFloatingActionBar()
	if GlobalOptions.Aardvark.afab==true and (GlobalOptions.Aardvark.afabas==true or AardvarkActionBarSellButton:IsEnabled()) then
		AardvarkActionBar:Show()
		else
		AardvarkActionBar:Hide()
	end
end

local function toggleVerticleActionBar()
	if GlobalOptions.Aardvark.afabv==true then
		AardvarkActionBar:SetSize(55,255)	
		AardvarkActionBarAardvarkButton:ClearAllPoints()
		AardvarkActionBarAardvarkButton:SetPoint("TOP",0,-10)	
		AardvarkActionBarSellButton:SetPoint("CENTER",AardvarkActionBarAardvarkButton,0,-AVKSize.actionBarButtonGap)
		AardvarkActionBarDestroyButton:SetPoint("CENTER",AardvarkActionBarSellButton,0,-AVKSize.actionBarButtonGap)
		ActionBarGlobalButton:SetPoint("CENTER", AardvarkActionBarDestroyButton,0,-AVKSize.actionBarButtonGap)
		ActionBarCharacterButton:SetPoint("CENTER", ActionBarGlobalButton,0,-AVKSize.actionBarButtonGap)
		else
		AardvarkActionBar:SetSize(255,55)	
		AardvarkActionBarAardvarkButton:ClearAllPoints()
		AardvarkActionBarAardvarkButton:SetPoint("LEFT",10,0)
		AardvarkActionBarSellButton:SetPoint("CENTER",AardvarkActionBarAardvarkButton,AVKSize.actionBarButtonGap,0)
		AardvarkActionBarDestroyButton:SetPoint("CENTER",AardvarkActionBarSellButton,AVKSize.actionBarButtonGap,0)
		ActionBarGlobalButton:SetPoint("CENTER", AardvarkActionBarDestroyButton,AVKSize.actionBarButtonGap,0)
		ActionBarCharacterButton:SetPoint("CENTER", ActionBarGlobalButton,AVKSize.actionBarButtonGap,0)
	end
end

-- Check Item on Lists
local function checkItemOnGlobalSellList(currentItem)
	for k,v in pairs(GlobalSellList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

local function checkItemOnCharacterSellList(currentItem)
	for k,v in pairs(CharacterSellList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

local function checkItemOnGlobalDestroyList(currentItem)
	for k,v in pairs(GlobalDestroyList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

local function checkItemOnCharacterDestroyList(currentItem)
	for k,v in pairs(CharacterDestroyList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

--[[
	local function consolidateLists()  --  Debug review
	print("consolidateLists")
	end
--]]

-- Add Items to List
local function addItemToGlobalList()
	local itemType,itemID,_,_=GetCursorInfo()
	local _,itemLink,itemQuality,_,_,_,_,_,_,_,itemValue=GetItemInfo(itemID)
	if itemType~="item" then   -- if not item end
		print(AVKFont.avkBlueTextMessagePrefixSuffix.." That was not an item.") -- Cannot disable this message, because we have to learn
		elseif itemValue~=0 then  -- if is item + has value
		if itemQuality==0 then  -- if is grey end
			if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is grey and has value. Not added to your sell list.")
			end
			elseif checkItemOnGlobalSellList(itemID)==true then -- if already on list end
			if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global sell list.")
			end
			else -- if not already on list add to list
			if GlobalOptions.Sell.sialsm==true then -- Print item added to list message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkGreenText.." added to your global sell list.")
			end
			table.insert(GlobalSellList,1,itemID)
			showAVKSellPanel()
		end
		elseif itemValue==0 then  -- if is item + has no value
		if checkItemOnGlobalDestroyList(itemID)==true then  -- if already on destroy list end
			if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global destroy list.")
			end
			else -- if not already on list add to list end
			if GlobalOptions.Destroy.dialsm==true then -- Print item added to list message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkRedText.." added to your global destroy list.")
			end
			table.insert(GlobalDestroyList,1,itemID)
			showAVKDestroyPanel()
		end
	end
	ClearCursor()
end

local function addItemToCharacterList()
	local itemType,itemID,_,_=GetCursorInfo()
	local _,itemLink,itemQuality,_,_,_,_,_,_,_,itemValue=GetItemInfo(itemID)
	if itemType~="item" then   -- if not item end
		print(AVKFont.avkBlueTextMessagePrefixSuffix.." That was not an item.") -- Cannot disable this message, because we have to learn
		elseif itemValue~=0 then  -- if is item + has value
		if itemQuality==0 then  -- if is grey end
			if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is grey and has value. Not added to "..playerName.."'s sell list.")
			end
			elseif checkItemOnGlobalSellList(itemID)==true then -- if already on global list end
			if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global sell list.")
			end
			elseif checkItemOnCharacterSellList(itemID)==true then -- if already on global list end
			if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on "..playerName.."'s sell list.")
			end			
			else -- if not already on list add to list end
			if GlobalOptions.Sell.sialsm==true then -- Print item added to list message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkGreenText.." added to "..playerName.."'s sell list.")
			end
			table.insert(CharacterSellList,1,itemID)
			showAVKSellPanel()
		end
		elseif itemValue==0 then  -- if is item + has no value
		if checkItemOnGlobalDestroyList(itemID)==true then  -- if already on destroy list end
			if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global destroy list.")
			end
			elseif checkItemOnCharacterDestroyList(itemID)==true then
			if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on "..playerName.."'s destroy list.")
			end
			else -- if not already on list add to list end
			if GlobalOptions.Destroy.dialsm==true then -- Print item added to list message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkRedText.." added to "..playerName.."'s destroy list.")
			end
			table.insert(CharacterDestroyList,1,itemID)
			showAVKDestroyPanel()
		end
	end
	ClearCursor()
end

-- Validate Vendor
local function checkVendorBlacklist(currentVendor)
	for k,v in pairs (AVKVendorBlacklist) do
		if (v==currentVendor) then
			return true
		end
	end
	return false
end

-- Sell function
local function avkSell()
	local tempSellList={}
	local vendorGUID,vendorName=UnitGUID("target"),UnitName("target")
	local _,_,_,_,_,npcID,_=strsplit("-",vendorGUID)
	local vendorID = tonumber(npcID)
	local bmoney = GetMoney()
	local amoney
	if checkVendorBlacklist(vendorID) then -- Check if vendor ID is on blacklist
		print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkGreenText..vendorName.." refuses to buy your items.")
		else
		for sellBag=0,4 do   -- Check each bag
			local sellBagSlot = GetContainerNumSlots(sellBag)
			for sellSlot=0,sellBagSlot do    -- Check each bag slot
				local currentItemID=GetContainerItemID(sellBag,sellSlot)
				if currentItemID then-- If current bag slot has an item then get the item info
					local _,itemLink,itemQuality,_,_,_,_,_,_,_,itemValue=GetItemInfo(currentItemID)
					local _,itemCount,_,_,_,_,_,_=GetContainerItemInfo(sellBag,sellSlot)						
					if checkItemOnGlobalSellList(currentItemID)==true or checkItemOnCharacterSellList(currentItemID)==true or (itemQuality==0 and itemValue~=0) then
						--if checkItemOnGlobalSellList(currentItemID)==true or checkItemOnCharacterSellList(currentItemID)==true then
						UseContainerItem(sellBag,sellSlot)  -- Sell current item  --  Comment out to Debug	
						local sellItemEntry=strjoin(",",sellBag,sellSlot,itemLink,itemValue,itemCount)
						table.insert(tempSellList,sellItemEntry)
					end
				end
			end
		end
	end
	C_Timer.After(1.5,function()
		local profitCounter=0   -- Cash counting variable
		for k,v in pairs(tempSellList) do
			--print("table",k,v)			
			local sellBag,sellSlot,itemLink,itemValue,itemCount=strsplit(",",v)
			--			print("splitvalue",sellBag,sellSlot,itemLink,itemValue,itemCount)
			local sb,sbs,iv,icn = tonumber(sellBag),tonumber(sellSlot),tonumber(itemValue),tonumber(itemCount)
			--			print(sb,sbs,itemLink,iv,icn)
			local emptySlot=GetContainerItemID(sb,sbs)
			--						print(sb,sbs,itemLink,iv,icn,currentItemID)
			local itemSold=IsInventoryItemLocked(GetContainerItemID(sb,sbs))
			if not itemSold then
				if GlobalOptions.Sell.sdsm==true then  
					print(" - Sold: "..icn.." "..itemLink.." for "..GetCoinTextureString(icn*iv))
				end
				profitCounter=profitCounter+(icn*iv)
			end		
		end
		if profitCounter~=0 then    -- if items were sold print out total -- this message cannot be disabled
			print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkGreenText.."Total Profit :-|r  "..GetCoinTextureString(profitCounter))
			elseif GlobalOptions.Sell.sntsm==true then  -- if no items sell print out grind message
			print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkGreenText.."Nothing to sell. Better grind some more.")			
		end
		tempSellList={}
	end)
end

-- Destroy function
local function avkDestroy()
	local destroyedItemCount=0   -- destroyed items counting variable
	local destroyedSlotCount=0
	for destroyBag=0,4 do   -- Check each bag
		local destroyBagSlot=GetContainerNumSlots(destroyBag)
		for destroySlot=0,destroyBagSlot do    -- Check each bag slot
			local currentItemID = GetContainerItemID(destroyBag,destroySlot)
			if currentItemID then-- If current bag slot has an item then get the item info
				local _,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(currentItemID)
				local _,itemCount,_,_,_,_,_,_=GetContainerItemInfo(destroyBag,destroySlot)
				if checkItemOnGlobalDestroyList(currentItemID)==true or checkItemOnCharacterDestroyList(currentItemID)==true then    -- if the current item is on destroy list
					--					_,itemCount=GetContainerItemInfo(destroyBag,destroySlot)   -- count how many of the item is in the current bag slot
					destroyedItemCount=destroyedItemCount+itemCount
					destroyedSlotCount=destroyedSlotCount+1
					-- if item Destroy messages are on print (this message can be disabled)
					if GlobalOptions.Destroy.dddm==true then     -- Print each item destroyed
						print(" - Destroyed: "..itemCount.." "..itemLink)
					end
					PickupContainerItem(destroyBag,destroySlot) DeleteCursorItem()  -- Destroy current item  --  Comment out to Debug
				end
			end
		end
	end
	if destroyedSlotCount~=0 then    -- if items were destroyed print out total -- if no items destroyed print out bag space message
		print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkRedText.."Items destroyed :-|r "..destroyedItemCount..AVKFont.avkRedText.."  ~  Bagslots cleared :-|r "..destroyedSlotCount)
		elseif GlobalOptions.Destroy.dntdm==true then
		print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkRedText.."Nothing destroyed. No bag space saved.")
	end
end

-- Repair function
local function avkRepair()
	if CanMerchantRepair() then
		local repairAllCost,_=GetRepairAllCost()
		if repairAllCost~=0 then
			if CanGuildBankRepair() and GlobalOptions.Repair.rgr==true then
				RepairAllItems(1)  --  Comment out to Debug
				print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."Repairs paid with guild funds :- |r"..GetCoinTextureString(repairAllCost))
				elseif GetMoney()>=repairAllCost then
				RepairAllItems()  --  Comment out to Debug
				print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."Repairs funded by you :- |r"..GetCoinTextureString(repairAllCost))
				elseif GetMoney()<repairAllCost then
				RepairAllItems()  --  Comment out to Debug
				if GlobalOptions.Repair.rcarm==true then
					print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."Guild won't pay and you can't afford too!")
				end
			end
			else
			if GlobalOptions.Repair.rntrm==true then
				print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."Nothing to repair.")
			end
		end
		else
		if GlobalOptions.Repair.rvcrm==true then
			print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."This vendor cannot repair.")
		end		
	end
end

-- Slash Command Show Frame
SLASH_AARDVARK1="/avk"
function SlashCmdList.AARDVARK(msg,editbox)
	AardvarkMainFrame:Show()
end

-- Slash Command Reset Layout
SLASH_AARDVARKRFP1="/avkpos"
function SlashCmdList.AARDVARKRFP(msg,editbox)
	AardvarkMainFrame:ClearAllPoints()
	AardvarkMainFrame:SetPoint("LEFT",250,0)
	AardvarkMainFrame:Show()
	AardvarkMagicButton:ClearAllPoints()
	AardvarkMagicButton:SetPoint("BOTTOMRIGHT",AardvarkMainFrame,"TOPRIGHT",0,20)
	AardvarkMagicButton:Show()	
	AardvarkActionBar:ClearAllPoints()
	AardvarkActionBar:SetPoint("TOPLEFT",AardvarkMainFrame,"TOPRIGHT",0,0)
	AardvarkActionBar:Show()
end

-- Slash Command Destroy
SLASH_AARDVARKD1="/avkdestroy"
function SlashCmdList.AARDVARKD(msg,editbox)
	avkDestroy()
end

-- Slash Command Clear all Lists
SLASH_AARDVARKCB1="/avkclear"
function SlashCmdList.AARDVARKCB(msg,editbox)
	GlobalSellList={} -- Global Sell
	GlobalDestroyList={} -- Global Destroy
	CharacterSellList={} -- Local Sell
	CharacterDestroyList={} -- Local Destroy	
	avkUpdateLists()
	print(AVKFont.avkBlueTextMessagePrefix.."All Lists Cleared")
end

--===================			AardvarkMainFrame			============================
local AardvarkMainFrame=CreateFrame("Frame","AardvarkMainFrame",UIParent,"TooltipBorderedFrameTemplate")
AardvarkMainFrame:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkMainFrame:SetBackdropBorderColor(0,1,1,1)
AardvarkMainFrame:SetSize(AVKSize.mainFrameWidth,AVKSize.mainFrameHeight)
AardvarkMainFrame:SetScale(AVKSize.mainFrameScale)
AardvarkMainFrame:ClearAllPoints()
AardvarkMainFrame:SetPoint("LEFT",250,0)
AardvarkMainFrame:EnableMouse(true)
AardvarkMainFrame:SetMovable(true)
AardvarkMainFrame:RegisterForDrag("RightButton","LeftButton")  --  Debug review
AardvarkMainFrame:SetScript("OnDragStart",AardvarkMainFrame.StartMoving)
AardvarkMainFrame:SetScript("OnDragStop",AardvarkMainFrame.StopMovingOrSizing)
AardvarkMainFrame:SetToplevel(true)
AardvarkMainFrame:SetScript("OnEvent",function(self,event,...)	
	if event=="PLAYER_LOGIN" then
		print(AVKText.avkLoad)		
		avkManageLists()
		avkUpdateLists()
		toggleVerticleActionBar()
		elseif event=="MERCHANT_SHOW" then
		if GlobalOptions.Destroy.ded==true and GlobalOptions.Destroy.dead then
			avkDestroy()
		end		
		if GlobalOptions.Repair.rer==true then
			avkRepair()
		end
		if GlobalOptions.Sell.ses==true and GlobalOptions.Sell.seas==true then
			avkSell()
		end
		if GlobalOptions.Aardvark.afab==true then
			AardvarkActionBarSellButton:Enable()
			AardvarkActionBar:Show()
			else
			AardvarkActionBar:Hide()
		end
		elseif event=="MERCHANT_CLOSED" then
		AardvarkActionBarSellButton:Disable()
		if GlobalOptions.Aardvark.afabas==false then
			AardvarkActionBar:Hide()
		end
	end
end)		
AardvarkMainFrame:RegisterEvent("PLAYER_LOGIN")
AardvarkMainFrame:RegisterEvent("MERCHANT_SHOW")
AardvarkMainFrame:RegisterEvent("MERCHANT_CLOSED")
AardvarkMainFrame:Hide()

local AardvarkMainFrameCloseButton=CreateFrame("Button","AardvarkMainFrameCloseButton",AardvarkMainFrame)
AardvarkMainFrameCloseButton:SetPoint("TOPRIGHT",AVKSize.closeButtonGap,AVKSize.closeButtonGap)
AardvarkMainFrameCloseButton:SetSize(AVKSize.closeButtonSize,AVKSize.closeButtonSize)
AardvarkMainFrameCloseButton:SetNormalTexture(AVKImg.avkci)
AardvarkMainFrameCloseButton:SetHighlightTexture(AVKImg.avkci,"DISABLE")
AardvarkMainFrameCloseButton:SetScript("OnClick",function(self)
    AardvarkMainFrame:Hide()
end)

AardvarkMainFrameBanner=CreateFrame("Frame","AardvarkOptionsFrameBanner",AardvarkMainFrame)
AardvarkMainFrameBanner:SetSize(512,86)
AardvarkMainFrameBanner:SetPoint("TOP",0,-20)
AardvarkMainFrameBanner.Texture = AardvarkMainFrameBanner:CreateTexture(nil,"BACKGROUND")
AardvarkMainFrameBanner.Texture:SetPoint("TOP",0,0)
AardvarkMainFrameBanner.Texture:SetTexture(AVKImg.avkban)

--===================			AardvarkNavigationPanel			============================
local AardvarkNavigationPanel = CreateFrame("Frame","AardvarkNavigationPanel",AardvarkMainFrame)
AardvarkNavigationPanel:SetSize(AVKSize.mainFrameNavigationFrameWidth,AVKSize.mainFrameNavigationFrameHeight)
AardvarkNavigationPanel:SetPoint("TOP",0,AVKSize.mainFrameNavigationFrame)

local AardvarkNavigationDestroy=CreateFrame("Button","AardvarkNavigationDestroy",AardvarkNavigationPanel)
AardvarkNavigationDestroy:SetPoint("CENTER",0,0)
AardvarkNavigationDestroy:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationDestroy:SetNormalTexture(AVKImg.avkdi)
AardvarkNavigationDestroy:SetHighlightTexture(AVKImg.avkdi_alt,"BLEND")
AardvarkNavigationDestroy:SetScript("OnClick",showAVKDestroyPanel)

local AardvarkNavigationSell=CreateFrame("Button","AardvarkNavigationSell",AardvarkNavigationPanel)
AardvarkNavigationSell:SetPoint("CENTER", AardvarkNavigationDestroy, -AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationSell:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationSell:SetNormalTexture(AVKImg.avksi)
AardvarkNavigationSell:SetHighlightTexture(AVKImg.avksi_alt,"BLEND")
AardvarkNavigationSell:SetScript("OnClick",showAVKSellPanel)

local AardvarkNavigationAardvarkOptions=CreateFrame("Button","AardvarkNavigationAardvarkOptions",AardvarkNavigationPanel)
AardvarkNavigationAardvarkOptions:SetPoint("CENTER", AardvarkNavigationSell,-AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationAardvarkOptions:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationAardvarkOptions:SetNormalTexture(AVKImg.avki)
AardvarkNavigationAardvarkOptions:SetHighlightTexture(AVKImg.avki_alt,"BLEND")
AardvarkNavigationAardvarkOptions:SetScript("OnClick",showAVKOptionsPanel)

local AardvarkNavigationRepairOptions=CreateFrame("Button","AardvarkNavigationRepairOptions",AardvarkNavigationPanel)
AardvarkNavigationRepairOptions:SetPoint("CENTER", AardvarkNavigationDestroy,AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationRepairOptions:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationRepairOptions:SetNormalTexture(AVKImg.avkri)
AardvarkNavigationRepairOptions:SetHighlightTexture(AVKImg.avkri_alt,"BLEND")
AardvarkNavigationRepairOptions:SetScript("OnClick",showAVKRepairPanel)

local AardvarkNavigationSilly=CreateFrame("Button","AardvarkNavigationSilly",AardvarkNavigationPanel)
AardvarkNavigationSilly:SetPoint("CENTER", AardvarkNavigationRepairOptions,AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationSilly:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationSilly:SetNormalTexture(AVKImg.avki)
AardvarkNavigationSilly:SetHighlightTexture(AVKImg.avki_alt,"BLEND")
AardvarkNavigationSilly:SetScript("OnClick",showAVKSillyPanel)

--===================     AardvarkOptionsPanel     =============================
local AardvarkOptionsPanel=CreateFrame("Frame","AardvarkOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkOptionsPanel:SetBackdropBorderColor(0,1,1,1)
AardvarkOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkOptionsPanel:Show()

local CBamfb=CreateFrame("CheckButton","CBamfb",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBamfb:ClearAllPoints()
CBamfb:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBamfb:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBamfb.text:SetText(AVKFont.avkBlueText.." Aardvark Button")
CBamfb.text:SetFontObject(avkCheckBoxBigFont)
CBamfb:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.amfb==true then
		GlobalOptions.Aardvark.amfb=false
		AardvarkMagicButton:Hide()
		else
		GlobalOptions.Aardvark.amfb=true
		AardvarkMagicButton:Show()
	end
end)

local CBamfbt=CreateFrame("CheckButton","CBamfbt",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBamfbt:ClearAllPoints()
CBamfbt:SetPoint("TOPLEFT",CBamfb,0,-AVKSize.checkboxGapY)
CBamfbt:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBamfbt.text:SetText(AVKFont.avkBlueText.." Aardvark Button Tooltip")
CBamfbt.text:SetFontObject(avkCheckBoxBigFont)
CBamfbt:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.amfbt==true then
		GlobalOptions.Aardvark.amfbt=false
		else
		GlobalOptions.Aardvark.amfbt=true
	end
end)

local CBamct=CreateFrame("CheckButton","CBamct",AardvarkOptionsPanel,"UICheckButtonTemplate")  --  Debug review
--[[
	CBamct:ClearAllPoints()
	CBamct:SetPoint("TOPLEFT",CBamfbt,0,-AVKSize.checkboxGapY)
	CBamct:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
	CBamct.text:SetText(AVKFont.avkBlueText.." Aardvark Message Chat Tab")
	CBamct.text:SetFontObject(avkCheckBoxBigFont)
	CBamct:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.amct==true then
	GlobalOptions.Aardvark.amct=false
	print("Aardvark Chat Tab False")
	else
	GlobalOptions.Aardvark.amct=true
	print("Aardvark Chat Tab True")
	end
	end)
--]]
CBamct:Disable()
CBamct:Hide()

local CBaaab=CreateFrame("CheckButton","CBaaab",AardvarkOptionsPanel,"UICheckButtonTemplate")  --  Debug review
--[[
	CBaaab:ClearAllPoints()
	CBaaab:SetPoint("TOPLEFT",CBamct,0,-AVKSize.checkboxGapY)
	CBaaab:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
	CBaaab.text:SetText(AVKFont.avkBlueText.." Aardvark Auto Accept Bind On Pickup")
	CBaaab.text:SetFontObject(avkCheckBoxBigFont)
	CBaaab:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.aaab==true then
	GlobalOptions.Aardvark.aaab=false
	print("Aardvark Auto Accept Bind On Pickup False")
	else
	GlobalOptions.Aardvark.aaab=true
	print("Aardvark Auto Accept Bind On Pickup True")
	end
	end)
--]]
CBaaab:Disable()
CBaaab:Hide()

local CBafab=CreateFrame("CheckButton","CBafab",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBafab:ClearAllPoints()
-- CBafab:SetPoint("TOPLEFT",CBaaab,0,-AVKSize.checkboxGapY)  --  Debug review
CBafab:SetPoint("TOPLEFT",CBamfbt,0,-AVKSize.checkboxGapY)  --  Debug review
CBafab:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBafab.text:SetText(AVKFont.avkBlueText.." Aardvark Action Bar")
CBafab.text:SetFontObject(avkCheckBoxBigFont)
CBafab:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.afab==true then
		GlobalOptions.Aardvark.afab=false
		CBafabas:Hide()
		CBafabv:Hide()
		AardvarkActionBar:Hide()
		else
		GlobalOptions.Aardvark.afab=true
		if not AardvarkActionBar:IsVisible() then
			CBafabas:Show()
			CBafabv:Show()
			AardvarkActionBar:Show()
		end
	end
end)

local CBafabas=CreateFrame("CheckButton","CBafabas",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBafabas:ClearAllPoints()
CBafabas:SetPoint("TOPLEFT",CBafab,AVKSize.checkBoxChildGapX,-AVKSize.checkboxGapY)
CBafabas:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBafabas.text:SetText(" Always Show Action Bar")
CBafabas.text:SetFontObject(avkContentFont)
CBafabas:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.afabas==true then
		GlobalOptions.Aardvark.afabas=false
		toggleFloatingActionBar()
		else
		GlobalOptions.Aardvark.afabas=true
		AardvarkActionBar:Show()
	end
end)

local CBafabv=CreateFrame("CheckButton","CBafabv",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBafabv:ClearAllPoints()
CBafabv:SetPoint("TOPLEFT",CBafabas,0,-AVKSize.checkboxGapY)
CBafabv:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBafabv.text:SetText(" Verticle Align Action Bar")
CBafabv.text:SetFontObject(avkContentFont)
CBafabv:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.afabv==true then
		GlobalOptions.Aardvark.afabv=false
		toggleVerticleActionBar()
		else
		GlobalOptions.Aardvark.afabv=true
		toggleVerticleActionBar()
	end
end)

local AardvarkOptionsPanelTextBox=CreateFrame("Frame","AardvarkOptionsPanelTextBox",AardvarkOptionsPanel)
AardvarkOptionsPanelTextBox:SetSize(AVKSize.mainPanelWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkOptionsPanelTextBox:SetPoint("BOTTOMLEFT",AVKSize.mainPanelElementGap,AVKSize.mainPanelElementGap)
AardvarkOptionsPanelText=AardvarkOptionsPanelTextBox:CreateFontString("AardvarkOptionsPanelText")
AardvarkOptionsPanelText:SetJustifyH("LEFT")
AardvarkOptionsPanelText:SetJustifyV("BOTTOM")
AardvarkOptionsPanelText:SetAllPoints(AardvarkOptionsPanelTextBox)
AardvarkOptionsPanelText:SetFontObject(avkContentFont)
AardvarkOptionsPanelText:SetText(AVKText.avkOptions)

--===================			AardvarkSellOptionsPanel			============================
local AardvarkSellOptionsPanel = CreateFrame("Frame","AardvarkSellOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkSellOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellOptionsPanel:SetBackdropBorderColor(0,1,0,1)
AardvarkSellOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkSellOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkSellOptionsPanel:Hide()

local CBses=CreateFrame("CheckButton","CBses",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBses:ClearAllPoints()
CBses:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBses:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBses.text:SetText(AVKFont.avkGreenText.." Aardvark Sell")
CBses.text:SetFontObject(avkCheckBoxBigFont)
CBses:SetScript("OnClick",function()
	if GlobalOptions.Sell.ses==true then
		GlobalOptions.Sell.ses=false
		CBseas:Hide()
		CBsdsm:Hide()
		CBsntsm:Hide()		
		CBsialsm:Hide()
		CBsialfm:Hide()
		CBslit:Hide()
		else
		GlobalOptions.Sell.ses=true
		CBseas:Show()
		CBsdsm:Show()
		CBsntsm:Show()		
		CBsialsm:Show()
		CBsialfm:Show()
		CBslit:Show()
	end
end)

local CBseas=CreateFrame("CheckButton","CBseas",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBseas:ClearAllPoints()
CBseas:SetPoint("TOPLEFT",CBses,AVKSize.checkBoxChildGapX,-AVKSize.checkboxGapY)
CBseas:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBseas.text:SetText(" Auto Sell")
CBseas.text:SetFontObject(avkContentFont)
CBseas:SetScript("OnClick",function()
	if GlobalOptions.Sell.seas==true then
		GlobalOptions.Sell.seas=false
		else
		GlobalOptions.Sell.seas=true
	end
end)

local CBsdsm=CreateFrame("CheckButton","CBsdsm",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBsdsm:ClearAllPoints()
CBsdsm:SetPoint("TOPLEFT",CBseas,0,-AVKSize.checkboxGapY)
CBsdsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBsdsm.text:SetText(" Detailed Sell Messages")
CBsdsm.text:SetFontObject(avkContentFont)
CBsdsm:SetScript("OnClick",function()
	if GlobalOptions.Sell.sdsm==true then
		GlobalOptions.Sell.sdsm=false
		else
		GlobalOptions.Sell.sdsm=true
	end
end)

local CBsntsm=CreateFrame("CheckButton","CBsntsm",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBsntsm:ClearAllPoints()
CBsntsm:SetPoint("TOPLEFT",CBsdsm,0,-AVKSize.checkboxGapY)
CBsntsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBsntsm.text:SetText(" Nothing To Sell Messages")
CBsntsm.text:SetFontObject(avkContentFont)
CBsntsm:SetScript("OnClick",function()
	if GlobalOptions.Sell.sntsm==true then
		GlobalOptions.Sell.sntsm=false
		else
		GlobalOptions.Sell.sntsm=true
	end
end)

local CBsialsm=CreateFrame("CheckButton","CBsialsm",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBsialsm:ClearAllPoints()
CBsialsm:SetPoint("TOPLEFT",CBsntsm,0,-AVKSize.checkboxGapY)
CBsialsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBsialsm.text:SetText(" Item Added Messages")
CBsialsm.text:SetFontObject(avkContentFont)
CBsialsm:SetScript("OnClick",function()
	if GlobalOptions.Sell.sialsm==true then
		GlobalOptions.Sell.sialsm=false
		else
		GlobalOptions.Sell.sialsm=true
	end
end)

local CBsialfm=CreateFrame("CheckButton","CBsialfm",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBsialfm:ClearAllPoints()
CBsialfm:SetPoint("TOPLEFT",CBsialsm,0,-AVKSize.checkboxGapY)
CBsialfm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBsialfm.text:SetText(" Item Not Added Messages")
CBsialfm.text:SetFontObject(avkContentFont)
CBsialfm:SetScript("OnClick",function()
	if GlobalOptions.Sell.sialfm==true then
		GlobalOptions.Sell.sialfm=false
		else
		GlobalOptions.Sell.sialfm=true
	end
end)

local CBslit=CreateFrame("CheckButton","CBslit",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBslit:ClearAllPoints()
CBslit:SetPoint("TOPLEFT",CBsialfm,0,-AVKSize.checkboxGapY)
CBslit:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBslit.text:SetText(" Show Listed Item Tooltips")
CBslit.text:SetFontObject(avkContentFont)
CBslit:SetScript("OnClick",function()
	if GlobalOptions.Sell.slit==true then
		GlobalOptions.Sell.slit=false
		else
		GlobalOptions.Sell.slit=true
	end
end)

local AardvarkSellOptionsPanelTextBox=CreateFrame("Frame","AardvarkSellOptionsPanelTextBox",AardvarkSellOptionsPanel)
AardvarkSellOptionsPanelTextBox:SetSize(AVKSize.scrollFrameWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkSellOptionsPanelTextBox:SetPoint("TOPRIGHT",-AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
AardvarkSellOptionsPanelText=AardvarkSellOptionsPanelTextBox:CreateFontString("AardvarkSellOptionsPanelText")
AardvarkSellOptionsPanelText:SetJustifyH("CENTER")
AardvarkSellOptionsPanelText:SetJustifyV("TOP")
AardvarkSellOptionsPanelText:SetAllPoints(AardvarkSellOptionsPanelTextBox)
AardvarkSellOptionsPanelText:SetFontObject(avkContentFont)
AardvarkSellOptionsPanelText:SetText(AVKText.avkSellOptions)

--===================			AardvarkSellPanel			============================
local AardvarkSellPanel=CreateFrame("Frame","AardvarkSellPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkSellPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellPanel:SetBackdropBorderColor(0,1,0,1)
AardvarkSellPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkSellPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkSellPanel:Hide()

local AardvarkDestroyOptionsButton=CreateFrame("Button","AardvarkDestroyOptionsButton",AardvarkSellPanel)
AardvarkDestroyOptionsButton:SetSize(AVKSize.optionsButtonSize,AVKSize.optionsButtonSize)
AardvarkDestroyOptionsButton:SetPoint("RIGHT", AardvarkNavigationSilly,AVKSize.mainFrameNavigationButtonSpace-AVKSize.optionsButtonGap,0)
AardvarkDestroyOptionsButton:SetNormalTexture(AVKImg.avksoi)
AardvarkDestroyOptionsButton:SetHighlightTexture(AVKImg.avksoi_alt,"BLEND")
AardvarkDestroyOptionsButton:SetScript("OnClick",showAVKSellOptionsPanel)

-- Global Sell
local AardvarkSellGlobalTitle=CreateFrame("Frame","AardvarkSellGlobalTitle",AardvarkSellPanel)
AardvarkSellGlobalTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkSellGlobalTitle:SetPoint("TOPLEFT",AardvarkSellPanel,AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkSellGlobalTitleText=AardvarkSellGlobalTitle:CreateFontString("AardvarkSellGlobalTitleText")
AardvarkSellGlobalTitleText:SetPoint("CENTER",0,0)
AardvarkSellGlobalTitleText:SetJustifyH("CENTER")
AardvarkSellGlobalTitleText:SetJustifyV("CENTER")
AardvarkSellGlobalTitleText:SetAllPoints(AardvarkSellGlobalTitle)
AardvarkSellGlobalTitleText:SetFontObject(avkScrollTitleFont)
AardvarkSellGlobalTitleText:SetText("Global Sell List")

local AardvarkSellGlobalScrollParent=CreateFrame("Button","AardvarkSellGlobalScrollParent",AardvarkSellPanel,"TooltipBorderedFrameTemplate")
AardvarkSellGlobalScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellGlobalScrollParent:SetBackdropBorderColor(0,1,0,1)
AardvarkSellGlobalScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkSellGlobalScrollParent:SetPoint("TOP",AardvarkSellGlobalTitle,"BOTTOM",0,-8)
AardvarkSellGlobalScrollParent:SetScript("OnReceiveDrag",function()
	addItemToGlobalList()
end)
AardvarkSellGlobalScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToGlobalList()
	end
end)

local AardvarkSellGlobalScrollFrame=CreateFrame("ScrollFrame","AardvarkSellGlobalScrollFrame",AardvarkSellGlobalScrollParent,"FauxScrollFrameTemplate")
AardvarkSellGlobalScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkSellGlobalScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkSellGlobalScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkSellGlobalScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkSellGlobalScrollFrame.buttons[i]=CreateFrame("Button","sglb"..i,AardvarkSellGlobalScrollParent)
	local button = AardvarkSellGlobalScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalSellList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_LEFT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Sell.slit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToGlobalList()
				else
				if GlobalOptions.Sell.slit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(GlobalSellList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToGlobalList()
		end)		
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkSellGlobalClearListButton=CreateFrame("Button","AardvarkSellGlobalClearListButton",AardvarkSellPanel,"UIMenuButtonStretchTemplate")
AardvarkSellGlobalClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkSellGlobalClearListButton:SetPoint("TOP",AardvarkSellGlobalScrollParent,"BOTTOM",0,-5)
AardvarkSellGlobalClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellGlobalClearListButton:SetBackdropBorderColor(0,1,0,1)
AardvarkSellGlobalClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkSellGlobalClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkSellGlobalClearListButton:SetFormattedText("Clear Global Sell List")
AardvarkSellGlobalClearListButton:RegisterForClicks("RightButtonUp")
AardvarkSellGlobalClearListButton:SetScript("OnClick",function()
	GlobalSellList={}
	avkUpdateLists()
end)

-- Character Sell
local AardvarkSellLocalTitle=CreateFrame("Frame","AardvarkSellLocalTitle",AardvarkSellPanel)
AardvarkSellLocalTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkSellLocalTitle:SetPoint("TOPRIGHT",AardvarkSellPanel,-AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkSellLocalTitleText=AardvarkSellLocalTitle:CreateFontString("AardvarkSellLocalTitleText")
AardvarkSellLocalTitleText:SetPoint("CENTER",0,0)
AardvarkSellLocalTitleText:SetJustifyH("CENTER")
AardvarkSellLocalTitleText:SetJustifyV("CENTER")
AardvarkSellLocalTitleText:SetAllPoints(AardvarkSellLocalTitle)
AardvarkSellLocalTitleText:SetFontObject(avkScrollTitleFont)
AardvarkSellLocalTitleText:SetText(playerName.."'s\nSell List")

local AardvarkSellCharacterScrollParent=CreateFrame("Button","AardvarkSellCharacterScrollParent",AardvarkSellPanel,"TooltipBorderedFrameTemplate")
AardvarkSellCharacterScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellCharacterScrollParent:SetBackdropBorderColor(0,1,0,1)
AardvarkSellCharacterScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkSellCharacterScrollParent:SetPoint("TOP",AardvarkSellLocalTitle,"BOTTOM",0,-8)
AardvarkSellCharacterScrollParent:SetScript("OnReceiveDrag",function()
	addItemToCharacterList()
end)
AardvarkSellCharacterScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToCharacterList()
	end
end)

local AardvarkSellCharacterScrollFrame=CreateFrame("ScrollFrame","AardvarkSellCharacterScrollFrame",AardvarkSellCharacterScrollParent,"FauxScrollFrameTemplate")
AardvarkSellCharacterScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkSellCharacterScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkSellCharacterScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkSellCharacterScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkSellCharacterScrollFrame.buttons[i]=CreateFrame("Button","sclb"..i,AardvarkSellCharacterScrollParent)
	local button = AardvarkSellCharacterScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(CharacterSellList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_LEFT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Sell.slit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToCharacterList()
				else
				if GlobalOptions.Sell.slit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(CharacterSellList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToCharacterList()
		end)		
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkSellCharacterClearListButton=CreateFrame("Button","AardvarkSellCharacterClearListButton",AardvarkSellPanel,"UIMenuButtonStretchTemplate")
AardvarkSellCharacterClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkSellCharacterClearListButton:SetPoint("TOP",AardvarkSellCharacterScrollParent,"BOTTOM",0,-5)
AardvarkSellCharacterClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellCharacterClearListButton:SetBackdropBorderColor(0,1,0,1)
AardvarkSellCharacterClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkSellCharacterClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkSellCharacterClearListButton:SetFormattedText("Clear "..playerName.."'s Sell List")
AardvarkSellCharacterClearListButton:RegisterForClicks("RightButtonUp")
AardvarkSellCharacterClearListButton:SetScript("OnClick",function()
	CharacterSellList={}
	avkUpdateLists()
end)

--===================			AardvarkDestroyOptionsPanel			============================
local AardvarkDestroyOptionsPanel = CreateFrame("Frame","AardvarkDestroyOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkDestroyOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyOptionsPanel:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkDestroyOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkDestroyOptionsPanel:Hide()

local CBded=CreateFrame("CheckButton","CBded",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBded:ClearAllPoints()
CBded:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBded:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBded.text:SetText(AVKFont.avkRedText.." Aardvark Destroy")
CBded.text:SetFontObject(avkCheckBoxBigFont)
CBded:SetScript("OnClick",function()
	if GlobalOptions.Destroy.ded==true then
		GlobalOptions.Destroy.ded=false
		CBdead:Hide()
		CBdddm:Hide()
		CBdntdm:Hide()
		CBdialsm:Hide()
		CBdialfm:Hide()
		CBdlit:Hide()
		else
		GlobalOptions.Destroy.ded=true
		CBdead:Show()
		CBdddm:Show()
		CBdntdm:Show()
		CBdialsm:Show()
		CBdialfm:Show()
		CBdlit:Show()
	end
end)

local CBdead=CreateFrame("CheckButton","CBdead",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdead:ClearAllPoints()
CBdead:SetPoint("TOPLEFT",CBded,AVKSize.checkBoxChildGapX,-AVKSize.checkboxGapY)
CBdead:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdead.text:SetText(" Auto Destroy")
CBdead.text:SetFontObject(avkContentFont)
CBdead:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dead==true then
		GlobalOptions.Destroy.dead=false
		else
		GlobalOptions.Destroy.dead=true
	end
end)

local CBdddm=CreateFrame("CheckButton","CBdddm",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdddm:ClearAllPoints()
CBdddm:SetPoint("TOPLEFT",CBdead,0,-AVKSize.checkboxGapY)
CBdddm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdddm.text:SetText(" Detailed Destroy Messages")
CBdddm.text:SetFontObject(avkContentFont)
CBdddm:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dddm==true then
		GlobalOptions.Destroy.dddm=false
		else
		GlobalOptions.Destroy.dddm=true
	end
end)

local CBdntdm=CreateFrame("CheckButton","CBdntdm",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdntdm:ClearAllPoints()
CBdntdm:SetPoint("TOPLEFT",CBdddm,0,-AVKSize.checkboxGapY)
CBdntdm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdntdm.text:SetText(" Nothing To Destroy Messages")
CBdntdm.text:SetFontObject(avkContentFont)
CBdntdm:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dntdm==true then
		GlobalOptions.Destroy.dntdm=false
		else
		GlobalOptions.Destroy.dntdm=true
	end
end)

local CBdialsm=CreateFrame("CheckButton","CBdialsm",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdialsm:ClearAllPoints()
CBdialsm:SetPoint("TOPLEFT",CBdntdm,0,-AVKSize.checkboxGapY)
CBdialsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdialsm.text:SetText(" Item Added Messages")
CBdialsm.text:SetFontObject(avkContentFont)
CBdialsm:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dialsm==true then
		GlobalOptions.Destroy.dialsm=false
		else
		GlobalOptions.Destroy.dialsm=true
	end
end)

local CBdialfm=CreateFrame("CheckButton","CBdialfm",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdialfm:ClearAllPoints()
CBdialfm:SetPoint("TOPLEFT",CBdialsm,0,-AVKSize.checkboxGapY)
CBdialfm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdialfm.text:SetText(" Item Not Added Messages")
CBdialfm.text:SetFontObject(avkContentFont)
CBdialfm:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dialfm==true then
		GlobalOptions.Destroy.dialfm=false
		else
		GlobalOptions.Destroy.dialfm=true
	end
end)

local CBdlit=CreateFrame("CheckButton","CBdlit",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdlit:ClearAllPoints()
CBdlit:SetPoint("TOPLEFT",CBdialfm,0,-AVKSize.checkboxGapY)
CBdlit:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdlit.text:SetText(" Show Listed Item Tooltips")
CBdlit.text:SetFontObject(avkContentFont)
CBdlit:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dlit==true then
		GlobalOptions.Destroy.dlit=false
		else
		GlobalOptions.Destroy.dlit=true
	end
end)

local AardvarkDestroyOptionsPanelTextBox=CreateFrame("Frame","AardvarkDestroyOptionsPanelTextBox",AardvarkDestroyOptionsPanel)
AardvarkDestroyOptionsPanelTextBox:SetSize(AVKSize.scrollFrameWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkDestroyOptionsPanelTextBox:SetPoint("TOPRIGHT",-AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
AardvarkDestroyOptionsPanelText=AardvarkDestroyOptionsPanelTextBox:CreateFontString("AardvarkDestroyOptionsPanelText")
AardvarkDestroyOptionsPanelText:SetJustifyH("CENTER")
AardvarkDestroyOptionsPanelText:SetJustifyV("TOP")
AardvarkDestroyOptionsPanelText:SetAllPoints(AardvarkDestroyOptionsPanelTextBox)
AardvarkDestroyOptionsPanelText:SetFontObject(avkContentFont)
AardvarkDestroyOptionsPanelText:SetText(AVKText.avkDestroyOptions)

--===================			AardvarkDestroyPanel			============================
local AardvarkDestroyPanel=CreateFrame("Frame","AardvarkDestroyPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkDestroyPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyPanel:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkDestroyPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkDestroyPanel:Hide()

local AardvarkDestroyOptionsButton=CreateFrame("Button","AardvarkDestroyOptionsButton",AardvarkDestroyPanel)
AardvarkDestroyOptionsButton:SetSize(AVKSize.optionsButtonSize,AVKSize.optionsButtonSize)
AardvarkDestroyOptionsButton:SetPoint("RIGHT", AardvarkNavigationSilly,AVKSize.mainFrameNavigationButtonSpace-AVKSize.optionsButtonGap,0)
AardvarkDestroyOptionsButton:SetNormalTexture(AVKImg.avkdoi)
AardvarkDestroyOptionsButton:SetHighlightTexture(AVKImg.avkdoi_alt,"BLEND")
AardvarkDestroyOptionsButton:SetScript("OnClick",showAVKDestroyOptionsPanel)

-- Global Destroy
local AardvarkDestroyGlobalTitle=CreateFrame("Frame","AardvarkDestroyGlobalTitle",AardvarkDestroyPanel)
AardvarkDestroyGlobalTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkDestroyGlobalTitle:SetPoint("TOPLEFT",AardvarkDestroyPanel,AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkDestroyGlobalTitleText=AardvarkDestroyGlobalTitle:CreateFontString("AardvarkDestroyGlobalTitleText")
AardvarkDestroyGlobalTitleText:SetPoint("CENTER",0,0)
AardvarkDestroyGlobalTitleText:SetJustifyH("CENTER")
AardvarkDestroyGlobalTitleText:SetJustifyV("CENTER")
AardvarkDestroyGlobalTitleText:SetAllPoints(AardvarkDestroyGlobalTitle)
AardvarkDestroyGlobalTitleText:SetFontObject(avkScrollTitleFont)
AardvarkDestroyGlobalTitleText:SetText("Global Destroy List")

local AardvarkDestroyGlobalScrollParent=CreateFrame("Button","AardvarkDestroyGlobalScrollParent",AardvarkDestroyPanel,"TooltipBorderedFrameTemplate")
AardvarkDestroyGlobalScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyGlobalScrollParent:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyGlobalScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkDestroyGlobalScrollParent:SetPoint("TOP",AardvarkDestroyGlobalTitle,"BOTTOM",0,-8)
AardvarkDestroyGlobalScrollParent:SetScript("OnReceiveDrag",function()
	addItemToGlobalList()
end)
AardvarkDestroyGlobalScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToGlobalList()
	end
end)

local AardvarkDestroyGlobalScrollFrame=CreateFrame("ScrollFrame","AardvarkDestroyGlobalScrollFrame",AardvarkDestroyGlobalScrollParent,"FauxScrollFrameTemplate")
AardvarkDestroyGlobalScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkDestroyGlobalScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkDestroyGlobalScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkDestroyGlobalScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkDestroyGlobalScrollFrame.buttons[i]=CreateFrame("Button","dglb"..i,AardvarkDestroyGlobalScrollParent)
	local button = AardvarkDestroyGlobalScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalDestroyList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_LEFT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Destroy.dlit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToGlobalList()
				else
				if GlobalOptions.Destroy.dlit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(GlobalDestroyList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToGlobalList()
		end)
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkDestroyGlobalClearListButton=CreateFrame("Button","AardvarkDestroyGlobalClearListButton",AardvarkDestroyPanel,"UIMenuButtonStretchTemplate")
AardvarkDestroyGlobalClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkDestroyGlobalClearListButton:SetPoint("TOP",AardvarkDestroyGlobalScrollParent,"BOTTOM",0,-5)
AardvarkDestroyGlobalClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyGlobalClearListButton:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyGlobalClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkDestroyGlobalClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkDestroyGlobalClearListButton:SetFormattedText("Clear Global Destroy List")
AardvarkDestroyGlobalClearListButton:RegisterForClicks("RightButtonUp")
AardvarkDestroyGlobalClearListButton:SetScript("OnClick",function()
	GlobalDestroyList={}
	avkUpdateLists()
end)

-- Character Destroy
local AardvarkDestroyCharacterTitle=CreateFrame("Frame","AardvarkDestroyCharacterTitle",AardvarkDestroyPanel)
AardvarkDestroyCharacterTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkDestroyCharacterTitle:SetPoint("TOPRIGHT",AardvarkDestroyPanel,-AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkDestroyCharacterTitleText=AardvarkDestroyCharacterTitle:CreateFontString("AardvarkDestroyCharacterTitleText")
AardvarkDestroyCharacterTitleText:SetPoint("CENTER",0,0)
AardvarkDestroyCharacterTitleText:SetJustifyH("CENTER")
AardvarkDestroyCharacterTitleText:SetJustifyV("CENTER")
AardvarkDestroyCharacterTitleText:SetAllPoints(AardvarkDestroyCharacterTitle)
AardvarkDestroyCharacterTitleText:SetFontObject(avkScrollTitleFont)
AardvarkDestroyCharacterTitleText:SetText(playerName.."'s\nDestroy List")

local AardvarkDestroyCharacterScrollParent=CreateFrame("Button","AardvarkDestroyCharacterScrollParent",AardvarkDestroyPanel,"TooltipBorderedFrameTemplate")
AardvarkDestroyCharacterScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyCharacterScrollParent:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyCharacterScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkDestroyCharacterScrollParent:SetPoint("TOP",AardvarkDestroyCharacterTitle,"BOTTOM",0,-8)
AardvarkDestroyCharacterScrollParent:SetScript("OnReceiveDrag",function()
	addItemToCharacterList()
end)
AardvarkDestroyCharacterScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToCharacterList()
	end
end)

local AardvarkDestroyCharacterScrollFrame=CreateFrame("ScrollFrame","AardvarkDestroyCharacterScrollFrame",AardvarkDestroyCharacterScrollParent,"FauxScrollFrameTemplate")
AardvarkDestroyCharacterScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkDestroyCharacterScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkDestroyCharacterScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkDestroyCharacterScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkDestroyCharacterScrollFrame.buttons[i]=CreateFrame("Button","dclb"..i,AardvarkDestroyCharacterScrollParent)
	local button = AardvarkDestroyCharacterScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_ = GetItemInfo(CharacterDestroyList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_LEFT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Destroy.dlit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToGlobalList()
				else
				if GlobalOptions.Destroy.dlit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(CharacterDestroyList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToGlobalList()
		end)
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkDestroyCharacterClearListButton=CreateFrame("Button","AardvarkDestroyCharacterClearListButton",AardvarkDestroyPanel,"UIMenuButtonStretchTemplate")
AardvarkDestroyCharacterClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkDestroyCharacterClearListButton:SetPoint("TOP",AardvarkDestroyCharacterScrollParent,"BOTTOM",0,-5)
AardvarkDestroyCharacterClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyCharacterClearListButton:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyCharacterClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkDestroyCharacterClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkDestroyCharacterClearListButton:SetFormattedText("Clear "..playerName.."'s Destroy List")
AardvarkDestroyCharacterClearListButton:RegisterForClicks("RightButtonUp")
AardvarkDestroyCharacterClearListButton:SetScript("OnClick",function()
	CharacterDestroyList={}
	avkUpdateLists()
end)

--===================			 AardvarkRepairOptionsPanel			============================
local AardvarkRepairOptionsPanel = CreateFrame("Frame","AardvarkRepairOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkRepairOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkRepairOptionsPanel:SetBackdropBorderColor(1,0,1,1)
AardvarkRepairOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkRepairOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkRepairOptionsPanel:Hide()

local CBrer=CreateFrame("CheckButton","CBrer",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrer:ClearAllPoints()
CBrer:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBrer:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrer.text:SetText(AVKFont.avkPinkText.." Aardvark Repair")
CBrer.text:SetFontObject(avkCheckBoxBigFont)
CBrer:SetScript("OnClick",function()
	if GlobalOptions.Repair.rer==true then
		GlobalOptions.Repair.rer=false
		CBrgr:Hide()
		CBrcarm:Hide()
		CBrntrm:Hide()
		CBrvcrm:Hide()
		else
		GlobalOptions.Repair.rer=true
		CBrgr:Show()
		CBrcarm:Show()
		CBrntrm:Show()
		CBrvcrm:Show()
	end
end)

local CBrgr=CreateFrame("CheckButton","CBrgr",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrgr:ClearAllPoints()
CBrgr:SetPoint("TOPLEFT",CBrer,AVKSize.checkBoxChildGapX,-AVKSize.checkboxGapY)
CBrgr:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrgr.text:SetText(" Guild Repair")
CBrgr.text:SetFontObject(avkContentFont)
CBrgr:SetScript("OnClick",function()
	if GlobalOptions.Repair.rgr==true then
		GlobalOptions.Repair.rgr=false
		else
		GlobalOptions.Repair.rgr=true
	end
end)

local CBrcarm=CreateFrame("CheckButton","CBrcarm",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrcarm:ClearAllPoints()
CBrcarm:SetPoint("TOPLEFT",CBrgr,0,-AVKSize.checkboxGapY)
CBrcarm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrcarm.text:SetText(" Cannot Afford Repair Messages")
CBrcarm.text:SetFontObject(avkContentFont)
CBrcarm:SetScript("OnClick",function()
	if GlobalOptions.Repair.rcarm==true then
		GlobalOptions.Repair.rcarm=false
		else
		GlobalOptions.Repair.rcarm=true
	end
end)

local CBrntrm=CreateFrame("CheckButton","CBrntrm",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrntrm:ClearAllPoints()
CBrntrm:SetPoint("TOPLEFT",CBrcarm,0,-AVKSize.checkboxGapY)
CBrntrm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrntrm.text:SetText(" Nothing To Repair Messages")
CBrntrm.text:SetFontObject(avkContentFont)
CBrntrm:SetScript("OnClick",function()
	if GlobalOptions.Repair.rntrm==true then
		GlobalOptions.Repair.rntrm=false
		else
		GlobalOptions.Repair.rntrm=true
	end
end)

local CBrvcrm=CreateFrame("CheckButton","CBrvcrm",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrvcrm:ClearAllPoints()
CBrvcrm:SetPoint("TOPLEFT",CBrntrm,0,-AVKSize.checkboxGapY)
CBrvcrm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrvcrm.text:SetText(" Vendor Cannot Repair Messages")
CBrvcrm.text:SetFontObject(avkContentFont)
CBrvcrm:SetScript("OnClick",function()
	if GlobalOptions.Repair.rvcrm==true then
		GlobalOptions.Repair.rvcrm=false
		else
		GlobalOptions.Repair.rvcrm=true
	end
end)

local AardvarkRepairOptionsPanelTextBox = CreateFrame("Frame","AardvarkRepairOptionsPanelTextBox",AardvarkRepairOptionsPanel)
AardvarkRepairOptionsPanelTextBox:SetSize(AVKSize.scrollFrameWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkRepairOptionsPanelTextBox:SetPoint("TOPRIGHT",-AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
AardvarkRepairOptionsPanelText=AardvarkRepairOptionsPanelTextBox:CreateFontString("AardvarkRepairOptionsPanelText")
AardvarkRepairOptionsPanelText:SetJustifyH("CENTER")
AardvarkRepairOptionsPanelText:SetJustifyV("TOP")
AardvarkRepairOptionsPanelText:SetAllPoints(AardvarkRepairOptionsPanelTextBox)
AardvarkRepairOptionsPanelText:SetFontObject(avkContentFont)
AardvarkRepairOptionsPanelText:SetText(AVKText.avkRepairOptions)

--===================			AardvarkSillyPanel			============================
local AardvarkSillyPanel = CreateFrame("Frame","AardvarkSillyPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkSillyPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSillyPanel:SetBackdropBorderColor(0,1,1,1)
AardvarkSillyPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkSillyPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkSillyPanel:Hide()

local AardvarkSillyPanelTextBox = CreateFrame("Frame","AardvarkSillyPanelTextBox",AardvarkSillyPanel)
AardvarkSillyPanelTextBox:SetSize(AVKSize.mainPanelWidth-AVKSize.mainPanelElementGap,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkSillyPanelTextBox:SetPoint("TOP",AardvarkSillyPanel,0,-11)
AardvarkSillyText=AardvarkSillyPanelTextBox:CreateFontString("AardvarkSillyText")
AardvarkSillyText:SetAllPoints(AardvarkSillyPanelTextBox)
AardvarkSillyText:SetFontObject(avkContentFont)
AardvarkSillyText:SetText(AVKText.avkAboutAardvark)

--=====================   AardvarkMagicButton    ======================
AardvarkMagicButton =CreateFrame("Button","AVK_Main_Button",UIParent)
AardvarkMagicButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkMagicButton:ClearAllPoints()
AardvarkMagicButton:SetPoint("BOTTOMRIGHT",AardvarkMainFrame,"TOPRIGHT",0,20)
AardvarkMagicButton:SetNormalTexture(AVKImg.avki)
AardvarkMagicButton:SetHighlightTexture(AVKImg.avki_alt,"BLEND")
AardvarkMagicButton:SetMovable(true)
AardvarkMagicButton:SetClampedToScreen(true)
AardvarkMagicButton:RegisterForDrag("RightButton")  --  Debug review
AardvarkMagicButton:SetScript("OnDragStart",AardvarkMagicButton.StartMoving)
AardvarkMagicButton:SetScript("OnDragStop",AardvarkMagicButton.StopMovingOrSizing)
AardvarkMagicButton:SetToplevel(true)
AardvarkMagicButton:SetScript("OnEnter",function(self)
    GameTooltip:SetOwner(self,"ANCHOR_TOP",5,5)
    GameTooltip:SetText(AVKFont.avkBlueText..addonName)
    GameTooltip:AddLine(AVKText.avkMagicButton)
    GameTooltip:SetScale(AVKSize.toolTipScale)
	if GlobalOptions.Aardvark.amfbt==true then
	    GameTooltip:Show()
		else
		GameTooltip:Hide()
	end
	AardvarkMagicButton:SetScript("OnReceiveDrag",function()
		if GetCursorInfo() then
			if IsAltKeyDown() then
				addItemToGlobalList()
				else
				addItemToCharacterList()
			end
		end
	end)	
	AardvarkMagicButton:RegisterForClicks("RightButtonUp","LeftButtonUp")
	AardvarkMagicButton:SetScript("OnClick",function(self,button)
		if button=="RightButton" then
			avkDestroy()
			elseif button=="LeftButton" then
			if GetCursorInfo() then
				if IsAltKeyDown() then
					addItemToGlobalList()
					else
					addItemToCharacterList()
				end
				else
				if AardvarkMainFrame:IsShown()==false then
					avkUpdateLists()
					AardvarkMainFrame:Show()
					else
					AardvarkMainFrame:Hide()
				end
			end
		end
	end)	
end)
AardvarkMagicButton:SetScript("OnLeave",function(self)
    GameTooltip:Hide()
    GameTooltip:SetScale(1)
end)

--=====================  AardvarkActionBar   ======================
AardvarkActionBar =CreateFrame("Frame","AardvarkActionBar",UIParent)
--AardvarkActionBar:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})  --  Debug review
AardvarkActionBar:SetBackdropBorderColor(0,1,1,1)
AardvarkActionBar:SetPoint("TOPLEFT",AardvarkMainFrame,"TOPRIGHT",0,0)
AardvarkActionBar:EnableMouse(true)
AardvarkActionBar:SetMovable(true)
AardvarkActionBar:SetClampedToScreen(true)
AardvarkActionBar:RegisterForDrag("RightButton")  --  Debug review
AardvarkActionBar:SetScript("OnDragStart",AardvarkActionBar.StartMoving)
AardvarkActionBar:SetScript("OnDragStop",AardvarkActionBar.StopMovingOrSizing)
AardvarkActionBar:SetToplevel(true)
AardvarkActionBar:SetScale(AVKSize.actionBarScale)
AardvarkActionBar:Hide()

AardvarkActionBarAardvarkButton=CreateFrame("Button","AardvarkActionBarAardvarkButton",AardvarkActionBar)
AardvarkActionBarAardvarkButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkActionBarAardvarkButton:SetNormalTexture(AVKImg.avki)
AardvarkActionBarAardvarkButton:SetHighlightTexture(AVKImg.avki_alt,"BLEND")
AardvarkActionBarAardvarkButton:SetScript("OnClick",function()
	if AardvarkMainFrame:IsShown()==false then
		avkUpdateLists()
		AardvarkMainFrame:Show()
		else
		AardvarkMainFrame:Hide()
	end
end)

AardvarkActionBarSellButton=CreateFrame("Button","AardvarkActionBarSellButton",AardvarkActionBar)
AardvarkActionBarSellButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkActionBarSellButton:SetNormalTexture(AVKImg.avksi)
AardvarkActionBarSellButton:SetHighlightTexture(AVKImg.avksi_alt,"BLEND")
AardvarkActionBarSellButton:SetDisabledTexture(AVKImg.avks_dis)
AardvarkActionBarSellButton:Disable()
AardvarkActionBarSellButton:SetScript("OnClick",avkSell)

AardvarkActionBarDestroyButton=CreateFrame("Button","AardvarkActionBarDestroyButton",AardvarkActionBar)
AardvarkActionBarDestroyButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkActionBarDestroyButton:SetNormalTexture(AVKImg.avkdi)
AardvarkActionBarDestroyButton:SetHighlightTexture(AVKImg.avkdi_alt,"BLEND")
AardvarkActionBarDestroyButton:RegisterForClicks("RightButtonUp")
AardvarkActionBarDestroyButton:SetScript("OnClick",function(self,button)
	if button=="RightButton" then
		avkDestroy()
	end
end)

ActionBarGlobalButton=CreateFrame("Button","ActionBarGlobalButton",AardvarkActionBar)
ActionBarGlobalButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
ActionBarGlobalButton:SetNormalTexture(AVKImg.avkglobi)
ActionBarGlobalButton:SetHighlightTexture(AVKImg.avkglobi_alt,"BLEND")
ActionBarGlobalButton:SetScript("OnReceiveDrag",addItemToGlobalList)
ActionBarGlobalButton:SetScript("OnClick",function(self,button)
	if GetCursorInfo() then
		addItemToGlobalList()
	end
end)

ActionBarCharacterButton=CreateFrame("Button","ActionBarCharacterButton",AardvarkActionBar)
ActionBarCharacterButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
ActionBarCharacterButton:SetNormalTexture(AVKImg.avkchari)
ActionBarCharacterButton:SetHighlightTexture(AVKImg.avkchari_alt,"BLEND")
ActionBarCharacterButton:SetClampedToScreen(true)
ActionBarCharacterButton:SetScript("OnReceiveDrag",addItemToCharacterList)
ActionBarCharacterButton:SetScript("OnClick",function(self,button)
	if GetCursorInfo() then
		addItemToCharacterList()
	end
end)